package lazabs.ast
import ASTree.Expression

case class Annotation(name:String, es:List[Expression])

object Annotation {
  def makeAnnotation(name: String, exprList_java: java.util.List[Expression]): Annotation = {
    val exprList = exprList_java.toArray.toList   // convert java list to scala list
    Annotation(name, exprList.asInstanceOf[List[Expression]])
  }
}

trait Annotated {
  private var annot: Option[Annotation] = None
  def getAnnotation: Option[Annotation] = annot
  def setAnnotation(a:Annotation): Unit = {
    annot = Some(a)
  }
}
